"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createChildrenRoute(children) {
    return `,
    children: [${children.map(createRoute).join(',')}]`;
}
function createRoute(meta) {
    const children = !meta.children ? '' : createChildrenRoute(meta.children);
    return `
  {
    name: '${meta.name}',
    path: '${meta.path}',
    component: () => import(/* webpackChunkName: "${meta.name}" */ '${meta.component}')${children}
  }`;
}
function createRoutes(meta) {
    const code = meta.map(createRoute).join(',');
    return `export default [${code}]`;
}
exports.createRoutes = createRoutes;
